define puppet_enterprise::certs(
  $certname,
  $cert_dir = "/opt/puppet/share/${title}/certs",
  $group    = $title,
  $owner    = $title,
  $ssl_dir  = $puppet_enterprise::params::ssl_dir,
) {

  File {
    owner   => $owner,
    group   => $group,
    mode    => '0400',
  }

  file { "${cert_dir}/${certname}.cert.pem":
    source => "${ssl_dir}/certs/${certname}.pem",
  }

  file { "${cert_dir}/${certname}.private_key.pem":
    source => "${ssl_dir}/private_keys/${certname}.pem",
  }

  file { "${cert_dir}/${certname}.public_key.pem":
    source => "${ssl_dir}/public_keys/${certname}.pem",
  }
}
